@charset 'utf-8';

main.top section.mv#s01 {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  height: 100svh;
  overflow: hidden;
  z-index: 110;
}
main.top section.mv .bg_img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 120;
  opacity: 0;
}
main.top section.mv .bg_img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
main.top section.mv .bg_movie {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: 130;
}
main.top section.mv .bg_movie video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
main.top section.mv p {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  line-height: 2.0;
  font-size: 2.5rem;
  color: transparent;
  animation: blur_anime 1s linear forwards;
  z-index: 140;
}
@keyframes blur_anime {
  0% { text-shadow: 0 0 32px rgba(255,255,255,0.5); }
  100% { text-shadow: 0 0 0 rgba(255,255,255,1); }
}
@media screen and (max-width:960px){
  main.top section.mv p {
    font-size: 2rem;
  }
}

main.top section.about#s02 {
  position: relative;
  z-index: 210;
}
main.top section.about .bg,
main.top section.about .bg img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}
main.top section.about .bg img {
  object-fit: cover;
}
main.top section.about .inner {
  position: relative;
  box-sizing: border-box;
  max-width: 960px;
  margin: 0 auto;
  padding: 8rem 2rem;
  z-index: 2;
}
main.top section.about h2 .en {
  line-height: 2.0;
  font-size: 3.75rem;
}
main.top section.about h2 .ja {
  line-height: 1.8;
  font-size: 2.25rem;
}
main.top section.about p {
  margin-top: 1rem;
  line-height: 2.4;
  font-size: 1.25rem;
  font-weight: bold;
}
main.top section.about a {
  display: inline-block;
  margin-top: 4rem;
  padding: 1em 4em;
  border-radius: 5em;
  font-family: sans-serif;
  font-size: 1.25rem;
  color: #fff;
  background-color: var(--tc_blue);
}
@media screen and (max-width:960px){
  main.top section.about h2 .en {
    font-size: 3.0rem;
  }
  main.top section.about h2 .ja {
    font-size: 1.25rem;
  }
  main.top section.about p {
    font-size: 1.0rem;
  }
}

main.top section.bar#s03 {
  position: relative;
  z-index: 310;
  background-color: var(--tc_blue);
}
main.top section.bar img {
  width: 100%;
}
main.top section.bar img.sp {
  display: none;
}
@media screen and (max-width:960px){
  main.top section.bar img.pc {
    display: none;
  }
  main.top section.bar img.sp {
    display: block;
  }
}

main.top section.products#s04 {
  z-index: 10;
}
main.top section.products .fixed_contents {
  position: fixed;
  top: 100dvh;
  left: 0;
  width: 100%;
  height: 100dvh;
  z-index: 1;
}
main.top section.products h2 {
  position: fixed;
  top: 100dvh;
  left: 3rem;
  font-size: 2rem;
  color: var(--bc_white);
  z-index: 3;
}
main.top section.products .fixed_contents .bg_images {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
main.top section.products .fixed_contents .bg_images img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: 0.5s;
}
main.top section.products .fixed_contents .bg_images img.on {
  opacity: 1;
  transition: 0.5s;
}
main.top section.products .fixed_contents .side_button {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: -6rem;
  width: 6rem;
  height: 100%;
  font-size: 350%;
  font-weight: bold;
  color: var(--bc_white);
  background-color: var(--tc_blue);
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  transition: 0.5s;
}
main.top section.products .fixed_contents .side_button.on {
  left: 0;
  transition: 0.5s;
}
@media screen and (min-width: 960px){
  main.top section.products .fixed_contents .side_button.on:hover {
    width: 8rem;
    transition: 0.3s;
  }
}
main.top section.products .fixed_contents .side_button a {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
main.top section.products .fixed_contents .side_button a.on {
  display: block;
}
main.top section.products ul {
  position: relative;
  margin-left: 10rem;
  padding-top: 100dvh;
  z-index: 2;
}
main.top section.products ul li {
  box-sizing: border-box;
  height: 125dvh;
  padding: 0 1rem;
}
main.top section.products ul li .number {
  font-size: 8rem;
  color: var(--bc_white);
}
main.top section.products ul li .logo_name img {
  max-width: 20rem;
}
main.top section.products ul li .logo_name span {
  font-size: 2rem;
  font-weight: bold;
  color: var(--bc_white);
}
main.top section.products ul li a.more {
  display: none;
}
@media screen and (max-width:960px){
  main.top section.products .fixed_contents .bg_images img:nth-child(1) {
    object-position: 75% 50%;
  }
  main.top section.products .fixed_contents .side_button {
    display: none;
  }
  main.top section.products h2 {
    left: 2rem;
    font-size: 1.5rem;
  }
  main.top section.products ul {
    margin-left: 1rem;
    margin: 0 1rem;
  }
  main.top section.products ul li .number {
    font-size: 4rem;
  }
  main.top section.products ul li .logo_name img {
    width: 10rem;
    max-width: 100%;
  }
  main.top section.products ul li .logo_name span {
    display: block;
    font-size: 1.5rem;
  }
  main.top section.products ul li a.more {
    display: inline-block;
  }
}

